Search Reporter Runs
curl --request POST \
--url https://softmax.com/api/observatory/v2/reporters/runs/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": "mine",
"audit_reason": "<string>",
"query": "<string>",
"where": {},
"include": [],
"page": {
"size": 20,
"cursor": "<string>"
},
"include_total": false
}
'import requests
url = "https://softmax.com/api/observatory/v2/reporters/runs/search"
payload = {
"scope": "mine",
"audit_reason": "<string>",
"query": "<string>",
"where": {},
"include": [],
"page": {
"size": 20,
"cursor": "<string>"
},
"include_total": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: 'mine',
audit_reason: '<string>',
query: '<string>',
where: {},
include: [],
page: {size: 20, cursor: '<string>'},
include_total: false
})
};
fetch('https://softmax.com/api/observatory/v2/reporters/runs/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"status": "pending",
"reporter": {
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"version_id": "<string>",
"version": 123
},
"subject_summary": {},
"binding": {},
"publish_post": true,
"matched_outputs": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"media_type": "<string>",
"url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"running_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"has_error": true,
"subject": {},
"usage": {},
"outputs": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"media_type": "<string>",
"url": "<string>"
}
]
}
],
"page": {
"size": 123,
"has_next_page": true,
"end_cursor": "<string>"
},
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}v2
Search Reporter Runs
Search reporter-run metadata without exposing principals, params, raw errors, traces, or report bodies.
POST
/
v2
/
reporters
/
runs
/
search
Search Reporter Runs
Authorizations
Bearer token issued by Softmax
Body
application/json
Available options:
mine, all Maximum string length:
500Required string length:
1 - 500Available options:
usage, outputs, subject Show child attributes
Show child attributes